From: Ryousei Takano <takano-ryousei@aist.go.jp>

Hi Daniel and all,

I am trying to run LXC on the CentOS 5.3 and the Linux kernel 2.6.30.
I found a problem with running the rpmbuild command.  The error message
is shown below:

$ rpmbuild -bb lxc.spec
	<snip>
 /usr/bin/install -c 'lxc-setcap' '/var/tmp/lxc-0.6.2-build/usr/bin/lxc-setcap'
 /usr/bin/install -c 'lxc-version' '/var/tmp/lxc-0.6.2-build/usr/bin/lxc-version'
mkdir: cannot create directory `/var/lib/lxc': Permission denied
make[3]: *** [install-exec-local] Error 1
make[3]: Leaving directory `/home/ryousei/rpm/BUILD/lxc-0.6.2/src/lxc'
make[2]: *** [install-am] Error 2
make[2]: Leaving directory `/home/ryousei/rpm/BUILD/lxc-0.6.2/src/lxc'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/home/ryousei/rpm/BUILD/lxc-0.6.2/src'
make: *** [install-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.26914 (%install)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.26914 (%install)

This patch removes 'install-exec-local' rule in Makefile.  It is not necessary, 
and it causes rpmbuild failure on the CentOS 5.3.

Signed-off-by: Ryousei Takano <takano-ryousei@aist.go.jp>
Signed-off-by: Daniel Lezcano <dlezcano@fr.ibm.com>
---
 src/lxc/Makefile.am |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

diff --git a/src/lxc/Makefile.am b/src/lxc/Makefile.am
index f40b31f..44cecd3 100644
--- a/src/lxc/Makefile.am
+++ b/src/lxc/Makefile.am
@@ -128,6 +128,3 @@ lxc_checkpoint_LDADD = liblxc.la

 lxc_restart_SOURCES = lxc_restart.c
 lxc_restart_LDADD = liblxc.la
-
-install-exec-local:
-	@mkdir -p $(DESTDIR)@LXCPATH@
-- 
1.5.6.3





